package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable {

    private List<String> group = new ArrayList<>();
    private Iterable<String> test = group;

    public SimpleStringGroup(List<String> group) {
        this.group = group;
    }

    public SimpleStringGroup() {
        try {
            group.iterator();
            throw new UnsupportedOperationException("Method not yet implemented");
        } catch (UnsupportedOperationException uoe){
            uoe.printStackTrace();
        }
    }

    public Integer count() {
            return group.size();
    }

    public void insert(String string) {
        group.add(string);
    }

    public Boolean has(String valueToInsert) {
        return group.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {
        return group.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        group.remove(valueToInsert);
    }

    public void clear() {
        group.clear();
    }

    @Override
    public Iterator iterator() {
        return group.iterator();
    }
}
