package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington extends Student {

    private List<Student> cohort = new ArrayList<>();
    private Map<Student, Double> cohort2 = new HashMap<>();

    public void enroll(Student student) {
        cohort.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return cohort.contains(student);
    }

    public void lecture(double numberOfHours) {
        for(Student student : cohort){
            student.learn(numberOfHours);
        }
    }

    public Map<Student, Double> getStudyMap() {
        for (Student student : cohort){
            cohort2.put(student, student.getTotalStudyTime());
        }
        return cohort2;
    }
}
