package rocks.zipcode.io.quiz4.generics;

import javafx.collections.ObservableList;
import javafx.collections.transformation.SortedList;

import java.util.*;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<_> extends Group<_> implements Iterable<_>, GroupInterface<_>{

    private Set<_> sortedGroup;

    public SortedGroup() {
        this.sortedGroup = new TreeSet<>();
    }

    @Override
    public void insert(_ value) {
        sortedGroup.add(value);
    }

    @Override
    public void delete(_ value) {
        sortedGroup.remove(value);
    }

    public Integer indexOf(_ firstValue) {
        List<_> list = new ArrayList<>(sortedGroup);
        return list.indexOf(firstValue);
    }
}
