package rocks.zipcode.io.quiz4.generics;

import java.util.Iterator;
import java.util.Spliterator;
import java.util.Stack;
import java.util.function.Consumer;

/**
 * @author leon on 11/12/2018.
 */
public class MyStack<SomeType> implements Iterable<SomeType>{

    private Stack<SomeType> myStack = new Stack<>();

    public MyStack() {
    }

    public Boolean isEmpty() {
        return myStack.isEmpty();
    }

    public void push(SomeType i){
            myStack.push(i);
    }

    public SomeType peek() {
        if (myStack.isEmpty()){
            return null;
        }
        return myStack.peek();
    }

    public SomeType pop() {
        return myStack.pop();
    }

    @Override
    public Iterator<SomeType> iterator() {
        return myStack.iterator();
    }
}
